- Qt 6.6
- Qt GUI
- C++ Classes
- QtRhi
- QRhiMetalCommandBufferNativeHandles
- Qt 6.6.2 Reference Documentation

# QRhiMetalCommandBufferNativeHandles Struct

Holds the MTLCommandBuffer and MTLRenderCommandEncoder objects that are backing a QRhiCommandBuffer. More...

Header: | #include <QRhiMetalCommandBufferNativeHandles>
Since: | Qt 6.6
Inherits: | QRhiNativeHandles

- List of all members, including inherited members

## Public Variables

MTLCommandBuffer * | commandBuffer
MTLRenderCommandEncoder * | encoder

## Detailed Description

Note: The command buffer object is only guaranteed to be valid while recording a frame, that is, between a beginFrame() - endFrame() or beginOffscreenFrame() - endOffsrceenFrame() pair.

Note: The command encoder is only valid while recording a pass, that is, between QRhiCommandBuffer::beginPass() - QRhiCommandBuffer::endPass().

Note: This is a RHI API with limited compatibility guarantees, see QRhi for details.

## Member Variable Documentation

### MTLCommandBuffer *QRhiMetalCommandBufferNativeHandles::commandBuffer

### MTLRenderCommandEncoder *QRhiMetalCommandBufferNativeHandles::encoder